package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 场景图
 * </p>
 *
 * @author wh
 * @since 2022-07-19
 */
@TableName("beacon_area_pic")
@ApiModel(value="BeaconAreaPic对象", description="场景图")
public class BeaconAreaPic extends Model<BeaconAreaPic> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "文件名")
    @TableField("file_name")
    private String fileName;

    @ApiModelProperty(value = "ossbucketname")
    @TableField("ossbucketname")
    private String ossbucketname;

    @ApiModelProperty(value = "ossFolder")
    @TableField("ossfolder")
    private String ossfolder;

    @ApiModelProperty(value = "文件类型（0:web;1:app;2:点位)")
    @TableField("type")
    private Integer type;

    @ApiModelProperty(value = "图层ID")
    @TableField("beacon_area_position_id")
    private Long beaconAreaPositionId;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getOssbucketname() {
        return ossbucketname;
    }

    public void setOssbucketname(String ossbucketname) {
        this.ossbucketname = ossbucketname;
    }

    public String getOssfolder() {
        return ossfolder;
    }

    public void setOssfolder(String ossfolder) {
        this.ossfolder = ossfolder;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getBeaconAreaPositionId() {
        return beaconAreaPositionId;
    }

    public void setBeaconAreaPositionId(Long beaconAreaPositionId) {
        this.beaconAreaPositionId = beaconAreaPositionId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "BeaconAreaPic{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", fileName=" + fileName +
        ", ossbucketname=" + ossbucketname +
        ", ossfolder=" + ossfolder +
        ", type=" + type +
        ", beaconAreaPositionId=" + beaconAreaPositionId +
        "}";
    }
}
